#!/bin/sh
# ----------------------------------------------------------------------------
# /tmp/install.sh - ip_update installation
#
# Creation   : 2008-12-29 christian
# Last update: $Id: install.sh 21 2009-01-15 16:50:59Z root $
#
# Copyright (c) 2009 Christian Richter, <richterch(at)gmx(dot)de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# set package name
packageName=ip_update

# set some variables
package_pos='99'
package_kill_pos=`/usr/bin/expr 100 - ${package_pos}`
if [ $package_kill_pos -lt 10 ]
then
 package_kill_pos='0'${package_kill_pos}
fi

# ----------------------------------------------------------------------------
# Generate symbolic links start/stop
# ----------------------------------------------------------------------------
package_start='S'${package_pos}${packageName}
package_kill='K'${package_kill_pos}${packageName}
ln -sf /etc/init.d/${packageName} /etc/rc2.d/${package_start}
ln -sf /etc/init.d/${packageName} /etc/rc2.d/${package_kill}

# ----------------------------------------------------------------------------
# Setup step 1
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Add menu
# ----------------------------------------------------------------------------
/var/install/bin/add-menu setup.services.menu setup.services.ip_update.menu "ip_update"

# ----------------------------------------------------------------------------
# Create default config
# ----------------------------------------------------------------------------

/var/install/config.d/ip_update-update.sh

# ----------------------------------------------------------------------------
# Start configuration editor
# ----------------------------------------------------------------------------

. /etc/config.d/ip_update
if [ "${START_IP_UP}" == 'no' ]
then
    sh /var/install/bin/edit -apply ip_update "Edit ip_update configuration"
else
    /var/install/config.d/ip_update.sh
fi


#if /var/install/bin/ask "Do you want to edit the configuration now" "yes"
#then
#    sh /var/install/bin/edit -apply ip_update "Edit ip_update configuration"
#fi


exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------