#!/bin/sh
# ----------------------------------------------------------------------------
# /tmp/preinstall.sh - ip_update preinstallation script
#
# Creation   : 2008-12-29 christian
# Last update: $Id: preinstall.sh 21 2009-01-15 16:50:59Z root $
#
# Copyright (c) 2009 Christian Richter, <richterch(at)gmx(dot)de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# set packages name
packageName=ip_update

# ----------------------------------------------------------------------------
# Check for old installation
# ----------------------------------------------------------------------------
if [ -f /etc/config.d/fritzbox_ip_up ]
then
    . /etc/config.d/fritzbox_ip_up
    sed -e "s#^START_FRITZBOX_IP_UP*#START_IP_UPDATE#" /etc/config.d/fritzbox_ip_up \
        -e "s#^FRITZBOX_IP_UP_*#IP_UPDATE_#" \
        -e "s#^IP_UPDATE_START*#START_IP_UPDATE#" > /etc/config.d/ip_update
    rm -f /etc/config.d/fritzbox_ip_up
fi

if [ -f /var/install/deinstall/fritzbox_ip_up ]
then
   sh /var/install/deinstall/fritzbox_ip_up
fi



# ----------------------------------------------------------------------------
# Update system
# ----------------------------------------------------------------------------

if [ -f /var/install/deinstall/ip_update ]
then
   sh /var/install/deinstall/ip_update update
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------