#!/bin/sh
# ----------------------------------------------------------------------------
# /var/install/config.d/ip_update - ip_update configuration
#
# Creation   : 2008-12-29 christian
# Last update: $Id: ip_update.sh 21 2009-01-15 16:50:59Z root $
#
# Copyright (c) 2008 Christian Richter, <richterch(at)gmx(dot)de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

#exec 2> `pwd`/ip_update-trace$$.log
#set -x


# ----------------------------------------------------------------------------
# Config Dateien
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# include configlib
. /var/install/include/configlib

# include config
#. /etc/config.d/ip_update

# set package name
packageName=ip_update

# include Configuration
config_file=/etc/config.d/$packageName
. ${config_file}

USE_SFTP='no'

#-----------------------------------------------------------------------------
# create new configuration
#-----------------------------------------------------------------------------
create_config ()
{
    idx=1
    while [ "${idx}" -le "${IP_UPDATE_SFTP_N}" ]
    do
        eval srv='$IP_UPDATE_SFTP_'${idx}'_SRV'
        eval usr='$IP_UPDATE_SFTP_'${idx}'_USR'
        eval pwd='$IP_UPDATE_SFTP_'${idx}'_PWD'
        eval tmp='$IP_UPDATE_SFTP_'${idx}'_TMP'
        eval htm='$IP_UPDATE_SFTP_'${idx}'_HTM'
        (
            echo '#!/usr/bin/expect --'
            printgpl -conf sftp_upload "2009-01-25" "christian"
            printgroup "SFTP Upload"
            echo ' log_user 0'
            echo ' sleep 1'
            echo " spawn sftp ${usr}@${srv}"
            echo " expect ${usr}*:"
            echo " send ${pwd}\r"
            echo ' expect "sftp>"'
            echo ' send "lcd /tmp\r"'
            echo ' expect "sftp>"'
            echo " send \"put ip_update_sftp.tmp_${idx} ${htm}\r\""
            echo ' send "bye\r"'
            printend
        ) > /usr/local/${packageName}/sftp_upload_${idx}
        echo
        (
             echo '#!/usr/bin/expect --'
             echo ' log_user 0'
             echo ' sleep 0'
             echo " spawn sftp ${usr}@${srv}"
             echo ' expect "*(yes/no)?"'
             echo ' send "yes\r"'
             echo ' sleep 1'
             echo ' send \003'
        ) > /tmp/ip_update_fingerprint_${idx}
        cp /var/lib/ip_update/draft-file ${tmp}
        chmod 0755 ${tmp}
        idx=`/usr/bin/expr ${idx} + 1`
    done
}




# ----------------------------------------------------------------------------
# Main
# ----------------------------------------------------------------------------
if [  "${IP_UPDATE_USE_FTP}" == "yes" ]
then
    idx=1
    while [ "${idx}" -le "${IP_UPDATE_FTP_N}" ]
    do
        eval src='$IP_UPDATE_FTP_'${idx}'_TMP'
        cp /var/lib/ip_update/draft-file ${src}
        chmod 0755 ${src}
        idx=`/usr/bin/expr ${idx} + 1`
    done
fi
if [ "${IP_UPDATE_USE_SFTP}" == "yes" ]
then
    USE_SFTP='yes'
    /var/install/bin/check-package -p expect "IP_UPDATE_USE_SFTP"
    retvar="${?}"
    if [ "${retvar}" -eq 0 ]
    then
        mecho -info "updating/creating configuration ..."
        mecho -std  "please wait..."
        create_config
        idx=1
        while [ "${idx}" -le "${IP_UPDATE_SFTP_N}" ]
        do
            expect /tmp/ip_update_fingerprint_${idx}
            rm -f -v /tmp/ip_update_fingerprint_${idx} >/dev/null 2>&1
            idx=`/usr/bin/expr ${idx} + 1`
        done
        mecho -std "... finished."
        echo
    else
        mecho -warn "Package expect not installed - Abort"
        USE_SFTP='no'
        # set parameter from 'yes' to 'no'
        sed "s/^IP_UPDATE_USE_SFTP=.*/IP_UPDATE_USE_SFTP='no'/" ${config_file} >/tmp/CONFIG_FILE_TMP
        mv /tmp/CONFIG_FILE_TMP ${config_file}
        chmod 0600 ${config_file}
        #exit 0
    fi
elif [ "${USE_SFTP}" == "no" ]
then
    mecho -info "updating configuration ..."
    rm -f -v /usr/local/ip_update/sftp_upload* >/dev/null 2>&1
    mecho -std "... finished."
    echo
fi
#sh /etc/init.d/ip_update restart

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------